<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Bootstrap demo</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.6.1.min.js" integrity="sha256-o88AwQnZB+VDvE9tvIXrMQaPlFFSUTR+nldQm1LuPXQ=" crossorigin="anonymous"></script>
        <script src="codigojs.js" ></script>
    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-md-12" >
                    <nav class="navbar navbar-expand-lg bg-info">
                        <div class="container-fluid d-flex">
                          <a class="navbar-brand" href="#">Navbar</a>
                          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                            <span class="navbar-toggler-icon"></span>
                          </button>
                                <button class="btn btn-primary " type="submit">Login</button>
                        </div>
                      </nav>                  
                </div>
              </div>
              <div class="row">
                <div class="col-md-4" >
                    <div class="accordion" id="accordionExample">
                        <div class="accordion-item">
                          <h2 class="accordion-header" id="headingOne">
                            <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                              Bienvenidos a tu tienda
                            </button>
                          </h2>
                          <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                            <div class="accordion-body">
                                <div class="list-group">
                                    <a href="#" class="list-group-item list-group-item-action">Clientes</a>
                                    <a href="#" class="list-group-item list-group-item-action">Compras</a>
                                    <a href="#" class="list-group-item list-group-item-action">Productos</a>
                                    <a href="#" class="list-group-item list-group-item-action">Ventas</a>
                                  </div>
                            </div>
                          </div>
                        </div>
                        <div class="accordion-item">
                          <h2 class="accordion-header" id="headingTwo">
                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                              Opciones
                            </button>
                          </h2>
                          <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
                            <div class="accordion-body">

                            </div>
                          </div>
                        </div>
                      </div>
                </div>
                <div class="col-md-8" >
                    <h1>Inventario</h1>
                    <hr>
                    <table class="table" id="tblInventario">
                        <thead>
                          <tr>
                            <th scope="col">#</th>
                            <th scope="col">Producto</th>
                            <th scope="col">Numero Existencias</th>
                            <th scope="col">Fecha Compra</th>
                            <th scope="col">Fecha Envio</th>
                            <th scope="col">Precio</th>
                          </tr>
                        </thead>
                        <tbody>
                        </tbody>
                      </table>
                      <!-- Button trigger modal -->
<button type="button" class="btn btn-primary" id="btnAgregar" >
    Agregar
  </button>
                </div>
              </div>
        </div>

  
  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">[accion] Producto</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <form action="#" id="formularioInventario">
            <div class="mb-3 row">
                <label for="inputCodigo" class="col-sm-3 col-form-label">Codigo</label>
                <div class="col-sm-9">
                  <input type="text" class="form-control" id="inputCodigo" name="idproducto" placeholder="ej. 1">
                </div>
              </div>
              <div class="mb-3 row">
                <label for="inputProducto" class="col-sm-3 col-form-label">Producto</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="inputProducto" name="Producto" placeholder="ej. Arroz">
                </div>
              </div>                
              <div class="mb-3 row">
                <label for="inputexistencias" class="col-sm-3 col-form-label">Numero Existencias</label>
                <div class="col-sm-7">
                    <input type="text" class="form-control" id="inputexistencias" name="NumeroExistencias" placeholder="ej. 20">
                </div>
              </div>                
              <div class="mb-3 row">
                <label for="inputFechaCompra" class="col-sm-7 col-form-label">Fecha Compra</label>
                <div class="col-sm-7">
                    <input type="text" class="form-control" id="inputFechaCompra" name="FechaCompra" placeholder="ej. Jan 1 2022">
                </div>
              <div class="mb-3 row">
                <label for="inputFechaEnvio" class="col-sm-9 col-form-label">Fecha Envio</label>
                <div class="col-sm-7">
                    <input type="text" class="form-control" id="inputFechaEnvio" name="FechaEnvio" placeholder="ej. Jan 7 2022">
                </div>
              <div class="mb-3 row">
                <label for="inputPrecio" class="col-sm-11 col-form-label">Precio</label>
                <div class="col-sm-7">
                    <input type="text" class="form-control" id="inputPrecio" name="Precio" placeholder="ej. 12.50">
                </div>
              </div>        
            </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
          <button type="button" class="btn btn-primary" id="boton">Guardar Cambios</button>
        </div>
      </form>
      </div>
    </div>
  </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-u1OknCvxWvY5kfmNBILK2hRnQC3Pr17a+RTT6rIHI7NnikvbZlHgTPOOmMi466C8" crossorigin="anonymous"></script>
    </body>
</html>